> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmpersonalcredentials.md).

# Get-RDMPersonalCredentials

Get-RDMPersonalCredentials récupère l'entrée de connexion représentant les identifiants personnels (My Personal Credentials) de l'utilisateur actuel dans Remote Desktop Manager.

### Résumé

Obtenir la connexion représentant « MyPersonalCredentials ».

### Syntaxe

#### \_\_AllParameterSets

```
Get-RDMPersonalCredentials [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Description

Obtenir la connexion représentant « MyPersonalCredentials ». Toutes les informations pertinentes se trouvent dans la propriété Credentials. Sous Windows, la stratégie DisableMyPersonalCredentials empêche l'utilisation de cette applet de commande.

### Exemples

#### Exemple 1

```powershell
PS C:\> $persoCreds = Get-RDMPersonalCredentials
```

Stocker les identifiants personnels dans la variable $persoCreds. Accéder aux valeurs souhaitées dans $persoCreds.Credentials.

#### Exemple 2

```powershell
PS C:\> $perso = Get-RDMPersonalCredentials; $perso.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $perso.Credentials.SecretServerUsername = 'aPassword'; $perso.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPersonalCredentials -Session $perso
```

Récupérer les identifiants personnels. Modifier les valeurs du domaine, du mot de passe et du nom d'utilisateur du Secret Server. Enregistrer les modifications. La modification du mot de passe peut être constatée dans le changement de valeur du champ SafeSecretServerPassword.

### Paramètres

#### -ForcePromptAnswer

Commutateur à utiliser avec prudence. Il répondra automatiquement aux invites posant des questions de type oui/non, oui/non/annuler ou ok/annuler. Dans le cas d'invites multiples, plusieurs valeurs peuvent être transmises à ce paramètre. Voici les valeurs acceptées :

* Yes : Accepter l'invite. Couvre les valeurs OK et Automatic.
* No : Refuser l'invite oui/non/annuler. « Cancel » est l'option de repli s'il n'y a pas d'option « No ».
* Cancel : Annuler l'invite oui/non/annuler. « No » est l'option de repli s'il n'y a pas d'option « Cancel ».

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, consulter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'informations, taper « Get-Help Get-RDMPersonalCredentials -detailed ». Pour des informations techniques, taper « Get-Help Get-RDMPersonalCredentials -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmpersonalcredentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
